Skip to main content
List a merchant's banks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Minimum string length: 1

Query Parameters

country
string
required

The customer's country, ISO 3166-1 alpha-2.

Pattern: ^[A-Z]{2}$
currency
string
required

The payment transaction's currency, ISO 4217.

Pattern: ^[A-Z]{3}$
cursor
string

An opaque cursor from next_cursor, valid with the filters it was issued for.

Required string length: 1 - 1024
is_test
boolean
default:false

Lists the banks of a test payment transaction instead of a live one.

limit
integer
default:25

The page size.

Required range: 1 <= x <= 100
q
string

Only banks whose name holds this, ignoring case.

Required string length: 1 - 100

Response

A list of bank, in the full view.

result
object[]
required
entities
object
required

Nothing can be included here.

not_included
object[]
required
pagination
object
required